ActiveMQXAJmsConnector (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.activemq.ActiveMQXAJmsConnector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.activemq
Class ActiveMQXAJmsConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.jms.JmsConnector
              org.mule.transport.jms.activemq.ActiveMQJmsConnector
                  org.mule.transport.jms.activemq.ActiveMQXAJmsConnector

All Implemented Interfaces:
  ExceptionListener, EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, ConnectionNotificationListener, ServerNotificationListener, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Connectable, Connector

    public class ActiveMQXAJmsConnector

extends ActiveMQJmsConnector

Field Summary
`static String` | `ACTIVEMQ_XA_CONNECTION_FACTORY_CLASS`

Fields inherited from class org.mule.transport.jms.activemq.ActiveMQJmsConnector
`ACTIVEMQ_CONNECTION_FACTORY_CLASS, DEFAULT_BROKER_URL`

Fields inherited from class org.mule.transport.jms.JmsConnector
`JMS, password, username`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, disposed, exceptionListener, initialised, logger, muleContext, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, started, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ActiveMQXAJmsConnector()`

Method Summary
`protected ConnectionFactory` | `getDefaultConnectionFactory()` Override this method to provide a default ConnectionFactory for a vendor-specific JMS Connector.

Methods inherited from class org.mule.transport.jms.activemq.ActiveMQJmsConnector
`applyVendorSpecificConnectionFactoryProperties, doDisconnect, getBrokerURL, setBrokerURL`

Methods inherited from class org.mule.transport.jms.JmsConnector
`close, close, close, close, close, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeQuietly, createConnection, createConnectionFactory, createJmsSupport, doConnect, doDispose, doInitialise, doStart, doStop, getAcknowledgementMode, getClientId, getConnection, getConnectionFactory, getConnectionFactoryJndiName, getConnectionFactoryProperties, getJmsSupport, getJndiContext, getJndiInitialFactory, getJndiProviderProperties, getJndiProviderUrl, getMaxRedelivery, getMessageAdapter, getNumberOfConsumers, getPassword, getProtocol, getReceiverKey, getRedeliveryHandlerFactory, getReplyToHandler, getSession, getSession, getSessionFromTransaction, getSpecification, getTopicResolver, getUsername, initJndiContext, isCacheJmsSessions, isDisableTemporaryReplyToDestinations, isDurable, isEagerConsumer, isForceJndiDestinations, isHonorQosHeaders, isJndiDestinations, isNoLocal, isPersistentDelivery, isResponseEnabled, lookupFromJndi, onException, onNotification, preProcessMessage, setAcknowledgementMode, setCacheJmsSessions, setClientId, setConnection, setConnectionFactory, setConnectionFactoryJndiName, setConnectionFactoryProperties, setDisableTemporaryReplyToDestinations, setDurable, setEagerConsumer, setForceJndiDestinations, setHonorQosHeaders, setJmsSupport, setJndiContext, setJndiDestinations, setJndiInitialFactory, setJndiProviderProperties, setJndiProviderUrl, setMaxRedelivery, setNoLocal, setNumberOfConsumers, setPassword, setPersistentDelivery, setRedeliveryHandlerFactory, setSpecification, setTopicResolver, setUsername, supportsProperty`

Methods inherited from class org.mule.transport.AbstractConnector
`checkDisposed, connect, createReceiver, destroyReceiver, disconnect, dispatch, dispose, disposeDispatchers, disposeReceivers, disposeRequesters, disposeWorkManagers, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getExceptionListener, getMaxDispatchersActive, getMaxRequestersActive, getMuleContext, getName, getNumberOfConcurrentTransactedReceivers, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isStarted, isSyncEnabled, isValidateConnections, lookupReceiver, registerListener, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, send, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherThreadingProfile, setDynamicNotification, setExceptionListener, setMaxDispatchersActive, setMaxRequestersActive, setMuleContext, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, start, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTIVEMQ_XA_CONNECTION_FACTORY_CLASS

    public static final String ACTIVEMQ_XA_CONNECTION_FACTORY_CLASS

See Also:
  Constant Field Values

Constructor Detail

### ActiveMQXAJmsConnector

    public ActiveMQXAJmsConnector()

Method Detail

### getDefaultConnectionFactory

    protected ConnectionFactory getDefaultConnectionFactory()

  Description copied from class: `JmsConnector`
  Override this method to provide a default ConnectionFactory for a vendor-specific JMS Connector.

  Overrides:
    `getDefaultConnectionFactory` in class `ActiveMQJmsConnector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.